#ifndef ROI_H
#define ROI_H

#include "save2filetexts.h"
#include <QByteArray>
#include <QTextStream>

class ROI {
public:
  ROI();

  bool enabled;
  uint16_t beginX;
  uint16_t beginY;
  uint16_t width;
  uint16_t height;

  bool setEnabled(QByteArray &data);
  bool seetROIParams(QByteArray &data);
};

QTextStream &operator<<(QTextStream &out, ROI roi);
#endif // ROI_H
